Bug 1807221 - ActionController::RoutingError when capsule sync start for ostree repository
Summary: ActionController::RoutingError when capsule sync start for ostree repository
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-25 20:38 UTC by Ganesh Payelkar
Modified: 2020-03-02 17:28 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-02 17:28:35 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 3 Ganesh Payelkar 2020-02-25 20:50:42 UTC
Description of problem:

ActionController::RoutingError when capsule sync start for ostree repository 


Version-Release number of selected component (if applicable):
satellite-6.7.0-5.beta.el7sat.noarch
pulp-ostree-plugins-1.3.1-2.el7sat.noarch
ostree-2017.1-2.atomic.el7.x86_64

How reproducible:
New installation of 6.7 Beta


Steps to Reproduce:
1. Enable Red Hat Enterprise Linux Atomic Host Trees and sync
2. let it sync to an external capsule
3.


Actual results:

==> /var/log/httpd/foreman-ssl_access_ssl.log <==
 - admin [26/Feb/2020:01:40:09 +0530] "GET /pulp/api/v2/tasks/86c384b4-0e74-4a5a-b2a6-c36d86061167/ HTTP/1.1" 200 932 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
 - admin [26/Feb/2020:01:40:09 +0530] "GET /pulp/api/v2/tasks/2f2a490e-9203-47cd-aad8-c3c963f4aca7/ HTTP/1.1" 200 726 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
 - admin [26/Feb/2020:01:40:09 +0530] "POST /pulp/api/v2/repositories/998c1f9a-c840-4e74-90db-87420204599e/search/units/ HTTP/1.1" 200 474 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
 - admin [26/Feb/2020:01:40:09 +0530] "POST /pulp/api/v2/repositories/998c1f9a-c840-4e74-90db-87420204599e/search/units/ HTTP/1.1" 200 2 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
 - admin [26/Feb/2020:01:40:10 +0530] "GET /pulp/api/v2/users/ HTTP/1.1" 200 140 "-" "rest-client/2.0.2 (linux-gnu x86_64) ruby/2.5.5p157"
 - - [26/Feb/2020:01:40:13 +0530] "GET /pulp/ostree/web/Default_Organization/Library/content/dist/rhel/atomic/7/7Server/x86_64/ostree/repo/summary.sig HTTP/1.1" 404 1564 "-" "ostree libsoup/2.62.2"
- - [26/Feb/2020:01:40:14 +0530] "GET /pulp/ostree/web/Default_Organization/Library/content/dist/rhel/atomic/7/7Server/x86_64/ostree/repo/summary HTTP/1.1" 200 121 "-" "ostree libsoup/2.62.2"

==> /var/log/foreman/production.log <==
2020-02-26T01:40:14 [I|app|40e8299d] Started GET "/pulp/ostree/web/Default_Organization/Library/content/dist/rhel/atomic/7/7Server/x86_64/ostree/repo/summary.sig" for  at 2020-02-26 01:40:14 +0530
2020-02-26T01:40:14 [F|app|40e8299d]   
2020-02-26T01:40:14 [F|app|40e8299d] ActionController::RoutingError (No route matches [GET] "/pulp/ostree/web/Default_Organization/Library/content/dist/rhel/atomic/7/7Server/x86_64/ostree/repo/summary.sig"):
2020-02-26T01:40:14 [F|app|40e8299d]   
2020-02-26T01:40:14 [F|app|40e8299d] lib/foreman/middleware/logging_context_request.rb:11:in `call'
katello (3.14.0.8) lib/katello/prevent_json_parsing.rb:12:in `call'

Comment 4 Justin Sherrill 2020-02-27 17:26:01 UTC
I am able to reproduce this, but:
* it doesn't cause the sync to fail
* i don't believe its a regression
* other than watching the logs, you'd never know this is happening
* we're removing ostree in ~2 releases (7.0)

I propose we close this as WONT_FIX

Comment 5 Brad Buckingham 2020-02-27 17:29:29 UTC
Justin, 

I am Ok with that proposal.

Ganesh,

Any objections to Justin's recommendation based upon his investigation?  Thanks!

Comment 6 Ganesh Payelkar 2020-03-02 17:14:08 UTC
Brad, 

As discussed internally, we can close this BZ for now.

Comment 7 Brad Buckingham 2020-03-02 17:28:35 UTC
Thanks Ganesh!

Based upon comment 4, we are going to close this bugzilla for now.  If we receive feedback that users are encountering the behavior described and it is impacting them, please feel free to re-open.


Note You need to log in before you can comment on or make changes to this bug.